package ink.wgink.module.file.media.controller.route.rtmp;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: ClientController
 * @Description: rtmp客户端
 * @Author: CodeFactory
 * @Date: 2022-04-26 22:03:44
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "rtmp客户端路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/rtmp-client")
public class RtmpClientRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("rtmp/client/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("rtmp/client/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("rtmp/client/list");
    }

}